summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--abs/core/linhes-scripts/PKGBUILD8
-rw-r--r--abs/core/linhes-scripts/linhes_update.sh69
-rw-r--r--abs/core/linhes-scripts/linhes_update2.sh23
-rw-r--r--abs/core/linhes-scripts/linhes_update3.sh17
-rwxr-xr-xabs/core/mythtv/stable-0.24/mythtv/PKGBUILD2
-rw-r--r--abs/core/mythtv/stable-0.24/mythtv/menu-xml/linhes.xml2
-rw-r--r--abs/core/mythtv/stable-0.24/mythtv/menu-xml/update2.xml6
7 files changed, 94 insertions, 33 deletions
diff --git a/abs/core/linhes-scripts/PKGBUILD b/abs/core/linhes-scripts/PKGBUILD
index 9c35ee3..f0ca1a6 100644
--- a/abs/core/linhes-scripts/PKGBUILD
+++ b/abs/core/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=linhes-scripts
pkgver=7
-pkgrel=8
+pkgrel=10
pkgdesc="Various scripts that help to make LinHES, LinHES."
arch=('i686' 'x86_64')
license=('GPL2')
@@ -78,9 +78,9 @@ md5sums=('f56985b2d602e11dc1e10d3e7848b2a5'
'25dd5b8ec0482d561b481bfce051d648'
'b2c3dd48a4abb976eda2d5fbf22a173a'
'b527b01d119d3bc33b8fa69bdf1082bb'
- 'c537c44156d8404016cc4b405b092d45'
- '4e66f302a77f1a857476e7f289d0c157'
- 'be324dba44ae96676973a74421944853'
+ 'f691c2bdf5da5455c9a5c2ab0ee1f820'
+ '253d5c9249fbf4641dbf82368efac7cb'
+ '460861e6d0cf999629b734912eea0acf'
'ccca6bdbbd86b203a3eecdbbe363e701'
'65629302a4d2c3adf88cdf0ebc10d493'
'2734054f08c4c885bb9070dce239d4c3'
diff --git a/abs/core/linhes-scripts/linhes_update.sh b/abs/core/linhes-scripts/linhes_update.sh
index 39d2817..a307146 100644
--- a/abs/core/linhes-scripts/linhes_update.sh
+++ b/abs/core/linhes-scripts/linhes_update.sh
@@ -1,37 +1,72 @@
#!/bin/bash
+
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
dsply () {
if grep -q Updates\ Available /usr/share/mythtv/themes/defaultmenu/linhes.xml
then
killall -9 osd_cat
- echo -e "Updates available!\n Exit and reenter Service Menu\n to perform updates." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 10 -A centre
+ echo -e "\nUpdates available!\nExit and re-enter Service Menu\n to install the updates." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ echo -e "\nUpdates available!\nExit and re-enter Service Menu\n to install the updates." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
exit
else
killall -9 osd_cat
- echo -e "Checking for updates." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 300 -A centre &
+ echo -e "Checking for updates..." | osd_cat --pos=middle --align=center --delay=300 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ echo -e "Checking for updates..." | osd_cat --pos=middle --align=center --delay=300 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
}
chck () {
sudo pacman -Sy
sudo pacman -Qu > /tmp/to_be_upgraded
-# sudo grep Target /tmp/check_update > /tmp/to_be_upgraded
- if grep -q no\ upgrades\ found /tmp/check_update
+ if [[ ! -s /tmp/to_be_upgraded ]]
then
killall -9 osd_cat
- echo -e "No updates available\n at this time." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 5 -A centre
+ echo -e "\nNo updates available." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+ echo -e "\nNo updates available." | osd_cat --pos=middle --align=center --delay=5 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
else
mv /usr/share/mythtv/themes/defaultmenu/linhes.xml /tmp/linhes.xml.tmp
- sed -e '/\#Check/,/\#Check/d' < /tmp/linhes.xml.tmp > /usr/share/mythtv/themes/defaultmenu/linhes.xml
- mv /usr/share/mythtv/themes/defaultmenu/linhes.xml /tmp
- grep -v -e /mythmenu /tmp/linhes.xml > /tmp/linhes.xml.tmp
- echo "<!--#UpdatesAvailable-->" >> /tmp/linhes.xml.tmp
- echo " <button>" >> /tmp/linhes.xml.tmp
- echo " <type>UPGRADE</type>" >> /tmp/linhes.xml.tmp
- echo " <text>Updates Available</text>" >> /tmp/linhes.xml.tmp
- echo " <action>MENU update2.xml</action>" >> /tmp/linhes.xml.tmp
- echo " </button>" >> /tmp/linhes.xml.tmp
- echo "<!--#UpdatesAvailable-->" >> /tmp/linhes.xml.tmp
- echo "</mythmenu>" >> /tmp/linhes.xml.tmp
- mv /tmp/linhes.xml.tmp /usr/share/mythtv/themes/defaultmenu/linhes.xml
+ sed -e '/\#Check/,/\#Check/d' < /tmp/linhes.xml.tmp > /usr/share/mythtv/themes/defaultmenu/linhes.xml
+ mv /usr/share/mythtv/themes/defaultmenu/linhes.xml /tmp
+ grep -v -e /mythmenu /tmp/linhes.xml > /tmp/linhes.xml.tmp
+ echo "<!--#UpdatesAvailable-->" >> /tmp/linhes.xml.tmp
+ echo " <button>" >> /tmp/linhes.xml.tmp
+ echo " <type>UPGRADE</type>" >> /tmp/linhes.xml.tmp
+ echo " <text>Updates Available</text>" >> /tmp/linhes.xml.tmp
+ echo " <action>MENU update2.xml</action>" >> /tmp/linhes.xml.tmp
+ echo " </button>" >> /tmp/linhes.xml.tmp
+ echo "<!--#UpdatesAvailable-->" >> /tmp/linhes.xml.tmp
+ echo "</mythmenu>" >> /tmp/linhes.xml.tmp
+ mv /tmp/linhes.xml.tmp /usr/share/mythtv/themes/defaultmenu/linhes.xml
+
+ echo "<mythmenu name=\"LinHES\">" > /tmp/update3.xml.tmp
+ if grep kernel26 /tmp/to_be_upgraded
+ then
+ echo "" >> /tmp/update3.xml.tmp
+ echo " <button>" >> /tmp/update3.xml.tmp
+ echo " <type>UPGRADE</type>" >> /tmp/update3.xml.tmp
+ echo " <text>REBOOT REQUIRED</text>" >> /tmp/update3.xml.tmp
+ echo " <action>NONE</action>" >> /tmp/update3.xml.tmp
+ echo " </button>" >> /tmp/update3.xml.tmp
+ fi
+
+ while read line; do
+ echo "" >> /tmp/update3.xml.tmp
+ echo " <button>" >> /tmp/update3.xml.tmp
+ echo " <type>UPGRADE</type>" >> /tmp/update3.xml.tmp
+ echo " <text>$line</text>" >> /tmp/update3.xml.tmp
+ echo " <action>NONE</action>" >> /tmp/update3.xml.tmp
+ echo " </button>" >> /tmp/update3.xml.tmp
+ done < "/tmp/to_be_upgraded"
+ echo "</mythmenu>" >> /tmp/update3.xml.tmp
+ mv /tmp/update3.xml.tmp /usr/share/mythtv/themes/defaultmenu/update3.xml
dsply
fi
}
diff --git a/abs/core/linhes-scripts/linhes_update2.sh b/abs/core/linhes-scripts/linhes_update2.sh
index 80945eb..78a0519 100644
--- a/abs/core/linhes-scripts/linhes_update2.sh
+++ b/abs/core/linhes-scripts/linhes_update2.sh
@@ -1,12 +1,26 @@
#!/bin/bash
+
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
killall -9 osd_cat
-echo -e "Performing updates." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 300000 -A centre &
+echo -e "Updating..." | osd_cat --pos=middle --align=center --delay=300000 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+echo -e "Updating..." | osd_cat --pos=middle --align=center --delay=300000 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
sudo pacman -Suf --noconfirm && sudo killall -9 osd_cat
if grep -q Check\ for\ updates /usr/share/mythtv/themes/defaultmenu/linhes.xml
then
rm -fr /tmp/to_be_upgraded
killall -9 osd_cat
-echo -e "Update complete." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 5 -A centre
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
else
mv /usr/share/mythtv/themes/defaultmenu/linhes.xml /tmp/linhes.xml.tmp
sed -e '/\#UpdatesAv/,/\#UpdatesAv/d' < /tmp/linhes.xml.tmp > /usr/share/mythtv/themes/defaultmenu/linhes.xml
@@ -15,7 +29,7 @@ grep -v -e /mythmenu /tmp/linhes.xml > /tmp/linhes.xml.tmp
echo "<!--#Check for updates-->" >> /tmp/linhes.xml.tmp
echo " <button>" >> /tmp/linhes.xml.tmp
echo " <type>UPGRADE</type>" >> /tmp/linhes.xml.tmp
-echo " <text>Upgrade LinHES</text>" >> /tmp/linhes.xml.tmp
+echo " <text>Update LinHES</text>" >> /tmp/linhes.xml.tmp
echo " <action>MENU update.xml</action>" >> /tmp/linhes.xml.tmp
echo " </button>" >> /tmp/linhes.xml.tmp
echo "<!--#Check for updates-->" >> /tmp/linhes.xml.tmp
@@ -24,5 +38,6 @@ echo "</mythmenu>" >> /tmp/linhes.xml.tmp
mv /tmp/linhes.xml.tmp /usr/share/mythtv/themes/defaultmenu/linhes.xml
rm -fr /tmp/to_be_upgraded
killall -9 osd_cat
-echo -e "Update complete." | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 5 -A centre
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
+echo -e "\nUpdate complete." | osd_cat --pos=middle --align=center --delay=3 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
diff --git a/abs/core/linhes-scripts/linhes_update3.sh b/abs/core/linhes-scripts/linhes_update3.sh
index 5dc0b4d..72641db 100644
--- a/abs/core/linhes-scripts/linhes_update3.sh
+++ b/abs/core/linhes-scripts/linhes_update3.sh
@@ -1,17 +1,28 @@
#!/bin/bash
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
sudo killall osd_cat
cat /tmp/to_be_upgraded | sed 's/ /\n/g' | sed '/^$/d' | grep - > /tmp/to_be_upgraded2
COUNT=$(wc -l /tmp/to_be_upgraded2 | awk '{print $1}')
if [ $COUNT -lt 20 ]
then
- cat /tmp/to_be_upgraded2 | osd_cat -p top -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 12 -A centre -l 20
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=12 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
else
- cat /tmp/to_be_upgraded2 | osd_cat -p top -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 1 -A centre -l 20 -w
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=1 --wait --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
if grep kernel26 /tmp/to_be_upgraded2
then
killall -9 osd_cat
- echo -e "Please note:\The kernel will be upgraded.\nThis will require a reboot.\nPlease do so when no jobs are running." | osd_cat -p middle -s 5 -f"-adobe-courier-bould-*-*-*-34-*-*-*-*-*" -d 10 -A centre
+ echo -e "Please note:\The kernel will be upgraded.\nThis will require a reboot.\nPlease do so when no jobs are running." | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
else
exit
fi
diff --git a/abs/core/mythtv/stable-0.24/mythtv/PKGBUILD b/abs/core/mythtv/stable-0.24/mythtv/PKGBUILD
index 2f9970a..b79cb66 100755
--- a/abs/core/mythtv/stable-0.24/mythtv/PKGBUILD
+++ b/abs/core/mythtv/stable-0.24/mythtv/PKGBUILD
@@ -6,7 +6,7 @@
pkgname=mythtv
pkgver=0.24
-pkgrel=22
+pkgrel=23
pkgdesc="A Homebrew PVR project"
arch=('i686' 'x86_64')
url="http://www.mythtv.org/"
diff --git a/abs/core/mythtv/stable-0.24/mythtv/menu-xml/linhes.xml b/abs/core/mythtv/stable-0.24/mythtv/menu-xml/linhes.xml
index ebc848b..01b6ffa 100644
--- a/abs/core/mythtv/stable-0.24/mythtv/menu-xml/linhes.xml
+++ b/abs/core/mythtv/stable-0.24/mythtv/menu-xml/linhes.xml
@@ -52,7 +52,7 @@
<!--#Check for updates-->
<button>
<type>UPGRADE</type>
- <text>Upgrade LinHES</text>
+ <text>Update LinHES</text>
<action>MENU update.xml</action>
</button>
<!--#Check for updates-->
diff --git a/abs/core/mythtv/stable-0.24/mythtv/menu-xml/update2.xml b/abs/core/mythtv/stable-0.24/mythtv/menu-xml/update2.xml
index 2ab82ea..e4a443d 100644
--- a/abs/core/mythtv/stable-0.24/mythtv/menu-xml/update2.xml
+++ b/abs/core/mythtv/stable-0.24/mythtv/menu-xml/update2.xml
@@ -2,7 +2,7 @@
<button>
<type>UPGRADE</type>
- <text>Perform updates?</text>
+ <text>Install Updates?</text>
<action>NONE</action>
</button>
@@ -20,7 +20,7 @@
<button>
<type>UPGRADE</type>
- <text>View files to be upgraded.</text>
- <action>EXEC sudo /usr/LH/bin/linhes_update3.sh</action>
+ <text>View Updates</text>
+ <action>MENU update3.xml</action>
</button>
</mythmenu>